/* ===================================
   SKYFLEET LOGISTICS
   Premium Corporate Website
=================================== */

:root{

    --primary:#0B2E59;
    --secondary:#0099ff;
    --accent:#f7941d;
    --light:#f7f9fc;
    --white:#ffffff;
    --dark:#222;
    --grey:#666;

}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{

    font-family:'Poppins',sans-serif;
    color:var(--dark);
    background:#fff;
    line-height:1.7;

}

.container{

    width:90%;
    max-width:1200px;
    margin:auto;

}

.section{

    padding:100px 0;

}

/*==========================
HEADER
===========================*/

header{

    position:center;
    width:100%;
    top:0;
    left:0;
    z-index:999;

    background:rgba(11,46,89,.96);

    backdrop-filter:blur(10px);

    display:flex;
    justify-content:space-between;
    align-items:center;

    padding:18px 7%;

    transition:.4s;

}

.logo{

    display:flex;
    align-items:center;
    gap:12px;

}

.logo img{

    width:75px;
    height:75px;
    object-fit:cover;
    border-radius:50%;
    background:white;

}

.logo h2{

    color:white;
    font-size:24px;

}

.logo span{

    color:#b9dfff;
    font-size:13px;
    letter-spacing:3px;

}

nav ul{

    display:flex;
    list-style:none;

}

nav ul li{

    margin-left:35px;

}

nav a{

    color:white;
    text-decoration:none;
    font-weight:500;
    transition:.3s;

}

nav a:hover{

    color:var(--accent);

}

.quote-btn{

    padding:13px 28px;

    border-radius:40px;

    background:var(--accent);

    color:white;

    text-decoration:none;

    font-weight:600;

    transition:.3s;

}

.quote-btn:hover{

    background:#ff8a00;

}

/*==========================
HERO
===========================*/

.hero{

    height:100vh;

    background:
    linear-gradient(rgba(7,28,59,.80),rgba(7,28,59,.80)),
    url("img/Skyfleet.jpg");

    background-size:contain;
    background-position:center;

    display:flex;
    justify-content:center;
    align-items:center;

    text-align:center;

    color:white;

    padding:0 20px;

}

.hero-content{

    max-width:900px;

}

.hero h4{

    color:#8fd2ff;

    letter-spacing:3px;

    margin-bottom:20px;

    font-size: 30px;

}

.hero h1{

    font-size:40px;

    line-height:1.2;

    margin-bottom:25px;

    color: #f7941d;

}

.hero span{

    color:var(--accent);

}

.hero p{

    font-size:15px;

    color:#ddd;

    margin-bottom:40px;

}

.hero-buttons{

    display:flex;

    justify-content:center;

    gap:20px;

}

/*==========================
BUTTONS
===========================*/

.primary-btn,
.secondary-btn{

    padding:16px 38px;

    border-radius:40px;

    text-decoration:none;

    font-weight:600;

    transition:.35s;

}

.primary-btn{

    background:var(--accent);

    color:white;

}

.primary-btn:hover{

    transform:translateY(-4px);

}

.secondary-btn{

    border:2px solid white;

    color:white;

}

.secondary-btn:hover{

    background:white;

    color:var(--primary);

}

/*==========================
SECTION TITLES
===========================*/

.section-title{

    text-align:center;

    margin-bottom:60px;

}

.section-title h5{

    color:var(--secondary);

    letter-spacing:3px;

    margin-bottom:10px;

}

.section-title h2{

    font-size:42px;

    color:var(--primary);

}

/*==========================
ABOUT
===========================*/

.about-grid{

    display:grid;

    grid-template-columns:2fr 1fr;

    gap:50px;

}

.about-card{

    background:var(--primary);

    color:white;

    padding:35px;

    border-radius:15px;

}

.about-card h3{

    margin-bottom:50px;

}

.about-card ul{

    list-style:none;

}

.about-card li{

    margin:15px 0;

}

.about-card i{

    color:var(--accent);

    margin-right:10px;

}

/*==========================
SERVICES
===========================*/

.services{

    background:var(--light);

}

.services-grid{

    display:grid;

    grid-template-columns:repeat(auto-fit,minmax(260px,1fr));

    gap:30px;

}

.service-card{

    background:white;

    padding:35px;

    border-radius:18px;

    box-shadow:0 15px 40px rgba(0,0,0,.08);

    transition:.35s;

    text-align:center;

}

.service-card:hover{

    transform:translateY(-12px);

}

.service-card i{

    font-size:45px;

    color:var(--secondary);

    margin-bottom:20px;

}

.service-card h3{

    margin-bottom:15px;

    color:var(--primary);

}

/*==========================
MISSION
===========================*/

.mission{

    background:white;

}

.mission-grid{

    display:grid;

    grid-template-columns:repeat(2,1fr);

    gap:35px;

}

.mission-box{

    background:var(--primary);

    color:white;

    padding:40px;

    border-radius:15px;

}

.mission-box h3{

    margin-bottom:18px;

}

/*==========================
CTA
===========================*/

.cta{

    background:linear-gradient(90deg,var(--primary),#0e4b92);

    color:white;

    text-align:center;

    padding:80px 20px;

}

.cta h2{

    font-size:42px;

    margin-bottom:20px;

}

.cta p{

    margin-bottom:35px;

    color:#ddd;

}

/*==========================
CONTACT
===========================*/

.contact-grid{

    display:grid;

    grid-template-columns:1fr 1fr;

    gap:50px;

}

form{

    display:flex;

    flex-direction:column;

}

form input,
form textarea{

    padding:18px;

    margin-bottom:20px;

    border:1px solid #ddd;

    border-radius:10px;

    font-size:15px;

}

form input:focus,
form textarea:focus{

    outline:none;

    border-color:var(--secondary);

}

button{

    padding:18px;

    background:var(--primary);

    color:white;

    border:none;

    border-radius:10px;

    cursor:pointer;

    font-size:16px;

    transition:.3s;

}

button:hover{

    background:var(--secondary);

}

/*==========================
FOOTER
===========================*/

footer{

    background:#071d39;

    color:white;

    text-align:center;

    padding:35px 15px;

}

footer h2{

    margin-bottom:10px;

}

footer p{

    margin:10px 0;

    color:#ccc;

}

/*==========================
RESPONSIVE
===========================*/

@media(max-width:992px){

.hero h1{

    font-size:45px;

}

.about-grid,
.contact-grid,
.mission-grid{

    grid-template-columns:1fr;

}

header{

    flex-direction:column;

    padding:20px;

}

nav ul{

    margin:20px 0;

}

}

@media(max-width:768px){

.hero{

    padding-top:120px;

}

.hero h1{

    font-size:35px;

}

.hero p{

    font-size:17px;

}

.hero-buttons{

    flex-direction:column;

}

nav ul{

    flex-wrap:wrap;

    justify-content:center;

}

nav ul li{

    margin:10px;

}

.section-title h2{

    font-size:32px;

}

.logo img{

    width:55px;
    height:55px;

}

.quote-btn{

    display:none;

}

}

/*===============================
SERVICE DETAILS PAGE
===============================*/

.service-details{

padding:100px 0;

}

.service-grid{

display:grid;

grid-template-columns:1fr 1fr;

gap:60px;

align-items:center;

}

.service-image img{

width:100%;

border-radius:20px;

box-shadow:0 15px 40px rgba(0,0,0,.15);

}

.service-content h2{

color:var(--primary);

margin-bottom:20px;

font-size:38px;

}

.service-content p{

margin-bottom:20px;

}

.service-features{

background:var(--light);

padding:100px 0;

}

.feature-grid{

display:grid;

grid-template-columns:repeat(auto-fit,minmax(250px,1fr));

gap:30px;

margin-top:50px;

}

.feature-card{

background:white;

padding:35px;

border-radius:15px;

text-align:center;

box-shadow:0 10px 30px rgba(0,0,0,.08);

transition:.3s;

}

.feature-card:hover{

transform:translateY(-10px);

}

.feature-card i{

font-size:40px;

color:var(--secondary);

margin-bottom:20px;

}

.why-service{

padding:100px 0;

}

.why-grid{

display:grid;

grid-template-columns:repeat(2,1fr);

gap:40px;

margin-top:40px;

}

.page-icon{

font-size:70px;

color:white;

margin-bottom:25px;

}

@media(max-width:900px){

.service-grid,
.why-grid{

grid-template-columns:1fr;

}

}



/* PAYMENT PAGE */

.payment-page{

padding:80px 0;

background:#f4f7fb;

}

.payment-card{

background:#fff;

max-width:850px;

margin:auto;

padding:50px;

border-radius:15px;

box-shadow:0 15px 40px rgba(0,0,0,.08);

text-align:center;

}

.payment-card h2{

color:#0b2e59;

margin-bottom:20px;

}

.payment-card p{

line-height:1.8;

color:#555;

}

.payment-services{

display:grid;

grid-template-columns:repeat(auto-fit,minmax(220px,1fr));

gap:15px;

margin:35px 0;

text-align:left;

}

.payment-services div{

background:#f8f9fa;

padding:15px;

border-radius:10px;

font-weight:600;

}

.payment-services i{

color:#d4af37;

margin-right:10px;

}

.cards{

display:flex;

justify-content:center;

gap:25px;

flex-wrap:wrap;

margin:25px 0;

font-size:18px;

font-weight:600;

}

.cards i{

font-size:32px;

color:#0b2e59;

}

.notice{

background:#fff8e5;

border-left:5px solid #d4af37;

padding:20px;

margin:30px 0;

text-align:left;

border-radius:8px;

}

.paypal-btn{

display:inline-block;

background:#0070ba;

color:#fff;

padding:18px 45px;

font-size:20px;

font-weight:700;

text-decoration:none;

border-radius:8px;

margin-top:20px;

transition:.3s;

}

.paypal-btn:hover{

background:#003087;

transform:translateY(-3px);

}

.security{

margin-top:25px;

font-size:15px;

color:#666;

}

.security i{

color:green;

margin-right:8px;

}